<?php
class formWidgetCurrencyOptions extends cmsForm {

    public function init() {

        $codes = array('R01235' => 'USD', 'R01239'=> 'EUR' );

        return array(

            array(
                'type' => 'fieldset',
                'title' => LANG_OPTIONS, 
                'childs' => array(
                    
             new fieldListMultiple('options:code', array(
                    'title' => LANG_CURRENCY_SELECT,
                    'items' => $codes
            )),      
                    
            new fieldNumber('options:clean', array(
                        'title'   => LANG_CLEAN_CURRENCY,
                        'hint'    => LANG_CLEAN_CURRENCY_HINT,
                        'units'   => 'дней',
                        'default' => '3',  
                        'rules'   => array(
                                     array('digits'),
                                     array('min', 1),
                                     array('max', 90)
                        )                        
                    )), 
                    
            new fieldCheckbox('options:view_date', array(
                        'title'   => LANG_CURRENCY_VIEW_DATE  
                    )),                     

                )
            
            ),

        );

    }

}
