<?php
class widgetCurrency extends cmsWidget {

    public function run(){ 
      	
        $options = $this->options;		
        $model   = new cmsModel();
        $today   = date('Y-m-d');

        $item = $model->getItemByField('currency', 'date', $today, function($item, $model){$item['currency'] = cmsModel::yamlToArray($item['currency']); return $item;});

        if(empty($item) && $item['date'] !== $today && empty($item['currency'])){

            $scripturl 	= 'http://www.cbr.ru/scripts/XML_dynamic.asp'; 
            $pre_day  	= date('d-m-Y', time()-1296000);    
            $to_day     = date('d-m-Y');

            foreach($options['code'] as $code){ 
                
                    $url = "{$scripturl}?date_req1={$pre_day}&date_req2={$to_day}&VAL_NM_RQ={$code}"; 
                    $doc = implode(file($url), ''); 
                    $r = $m = $d = array(); 
                    preg_match("/<ValCurs.*?>(.*?)<\/ValCurs>/is", $doc, $m); 
                    preg_match_all("/<Record(.*?)>(.*?)<\/Record>/is", $m[1], $r, PREG_SET_ORDER);

                    for($i=0; $i < count($r); $i++) { 
                            if(preg_match("/Date=\"(\d{2})\.(\d{2})\.(\d{4})\"/is", $r[$i][1],$m)) { 
                                    $dv = "{$m[3]}-{$m[2]}-{$m[1]}";  
                            }  

                            if(preg_match("/<Nominal>(.*?)<\/Nominal>.*?<Value>(.*?)<\/Value>/is", $r[$i][2], $m)) {                         

                              $m[2] = str_replace(',', '.', $m[2]);              
                              $d[] = array($dv, $m[1], $m[2]); 
                            }            
                    } 

                    $last = array_pop($d);                
                    $prev = array_pop($d); 
       
                    $cur['kurs']    = $last[2]; 
                    $cur['kurs2']   =  nf($last[2] - $prev[2], 4);  

                    $currency[$code] = $cur;                    
            }

                $data = array('date' => date('Y-m-d'), 'currency' => $currency);

                $model->insert('currency', $data); 

                $item = $model->getItemByField('currency', 'date', $today, function($item, $model){$item['currency'] = cmsModel::yamlToArray($item['currency']); return $item;});
                
                if (!empty($options['clean'])){
                    
                    $model->filterDateOlder('date', $options['clean'])->deleteFiltered('currency');
                    
                }	

        } 

        return array(
                'options' => $options,
                'item'   => $item

                );  
    }

}